Bug 464472 - [PATCH] Puppet doesn't deal with RPM provides correctly
[PATCH] Puppet doesn't deal with RPM provides correctly
Status: CLOSED DEFERRED
Product: Fedora EPEL
Classification: Fedora
Component: puppet (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 06:43 EDT by Lubomir Rintel
Modified: 2013-04-30 19:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-26 02:31:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add support for RPM provides (2.17 KB, text/plain)
2008-09-29 06:43 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2008-09-29 06:43:04 EDT
Created attachment 317948 [details]
Add support for RPM provides

Attaching a self-explainatory patch. It enables you to say something like, no matter if perl(Test::More) comes from "perl" or "perl-Test-More" RPM.

package { "perl(Test::More)": ensure=> installed; }
Comment 1 Lubomir Rintel 2008-09-29 06:45:00 EDT
A side note; the way I differentiate between packages and provides is rather ugly. Another option would to rewrite the whole rpm.rb to use rpmlib directly (does a ruby backend exist at all?) -- launching rpm --provides for each installed package would take too much time.
Comment 2 Lubomir Rintel 2008-09-29 10:32:36 EDT
Now I realize the patch probably cause a regression when an installed package provide what is other installed package's name and you want to ensure the other installed package to be absent.
Comment 3 Jeroen van Meeuwen 2008-12-16 04:37:08 EST
(In reply to comment #0)
> Created an attachment (id=317948) [details]
> Add support for RPM provides
> 
> Attaching a self-explainatory patch. It enables you to say something like, no
> matter if perl(Test::More) comes from "perl" or "perl-Test-More" RPM.
> 
> package { "perl(Test::More)": ensure=> installed; }
>

Interesting, but how well does this work for package managers other then RPM?

Note You need to log in before you can comment on or make changes to this bug.